> ## Documentation Index
> Fetch the complete documentation index at: https://docs.salesask.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an appointment



## OpenAPI

````yaml /openapi.json delete /v1/scheduled-tasks/{event_id}
openapi: 3.1.0
info:
  title: Sales Ask API
  version: 1.0.0
  description: >-
    Public API for integrating with Sales Ask. Authenticate every request using
    your organization API key in the x-api-key header. To generate an API key,
    call POST /organizations/:organizationId/api-key while authenticated as an
    organization admin.
servers:
  - url: https://integrations.salesask.com
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /v1/scheduled-tasks/{event_id}:
    delete:
      tags:
        - Scheduled Tasks
      summary: Delete an appointment
      operationId: deleteAppointment
      parameters:
        - name: event_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Appointment deleted
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Appointment deleted
        '401':
          description: Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Appointment not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Error:
      type: object
      properties:
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````